org.eclipse.graphiti.mm.algorithms.impl

## Class AlgorithmsPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.graphiti.mm.algorithms.impl.AlgorithmsPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, AlgorithmsPackage

    public class AlgorithmsPackageImpl
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements AlgorithmsPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.graphiti.mm.algorithms.AlgorithmsPackage

`AlgorithmsPackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.mm.algorithms.AlgorithmsPackage

`ABSTRACT_TEXT, ABSTRACT_TEXT__ANGLE, ABSTRACT_TEXT__BACKGROUND, ABSTRACT_TEXT__FILLED, ABSTRACT_TEXT__FONT, ABSTRACT_TEXT__FOREGROUND, ABSTRACT_TEXT__GRAPHICS_ALGORITHM_CHILDREN, ABSTRACT_TEXT__HEIGHT, ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT, ABSTRACT_TEXT__LINE_STYLE, ABSTRACT_TEXT__LINE_VISIBLE, ABSTRACT_TEXT__LINE_WIDTH, ABSTRACT_TEXT__PARENT_GRAPHICS_ALGORITHM, ABSTRACT_TEXT__PICTOGRAM_ELEMENT, ABSTRACT_TEXT__PROPERTIES, ABSTRACT_TEXT__RENDERING_STYLE, ABSTRACT_TEXT__ROTATION, ABSTRACT_TEXT__STYLE, ABSTRACT_TEXT__STYLE_REGIONS, ABSTRACT_TEXT__TRANSPARENCY, ABSTRACT_TEXT__VALUE, ABSTRACT_TEXT__VERTICAL_ALIGNMENT, ABSTRACT_TEXT__WIDTH, ABSTRACT_TEXT__X, ABSTRACT_TEXT__Y, ABSTRACT_TEXT_FEATURE_COUNT, eINSTANCE, ELLIPSE, ELLIPSE__BACKGROUND, ELLIPSE__FILLED, ELLIPSE__FOREGROUND, ELLIPSE__GRAPHICS_ALGORITHM_CHILDREN, ELLIPSE__HEIGHT, ELLIPSE__LINE_STYLE, ELLIPSE__LINE_VISIBLE, ELLIPSE__LINE_WIDTH, ELLIPSE__PARENT_GRAPHICS_ALGORITHM, ELLIPSE__PICTOGRAM_ELEMENT, ELLIPSE__PROPERTIES, ELLIPSE__RENDERING_STYLE, ELLIPSE__STYLE, ELLIPSE__TRANSPARENCY, ELLIPSE__WIDTH, ELLIPSE__X, ELLIPSE__Y, ELLIPSE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, GRAPHICS_ALGORITHM, GRAPHICS_ALGORITHM__BACKGROUND, GRAPHICS_ALGORITHM__FILLED, GRAPHICS_ALGORITHM__FOREGROUND, GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN, GRAPHICS_ALGORITHM__HEIGHT, GRAPHICS_ALGORITHM__LINE_STYLE, GRAPHICS_ALGORITHM__LINE_VISIBLE, GRAPHICS_ALGORITHM__LINE_WIDTH, GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM, GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT, GRAPHICS_ALGORITHM__PROPERTIES, GRAPHICS_ALGORITHM__RENDERING_STYLE, GRAPHICS_ALGORITHM__STYLE, GRAPHICS_ALGORITHM__TRANSPARENCY, GRAPHICS_ALGORITHM__WIDTH, GRAPHICS_ALGORITHM__X, GRAPHICS_ALGORITHM__Y, GRAPHICS_ALGORITHM_FEATURE_COUNT, IMAGE, IMAGE__BACKGROUND, IMAGE__FILLED, IMAGE__FOREGROUND, IMAGE__GRAPHICS_ALGORITHM_CHILDREN, IMAGE__HEIGHT, IMAGE__ID, IMAGE__LINE_STYLE, IMAGE__LINE_VISIBLE, IMAGE__LINE_WIDTH, IMAGE__PARENT_GRAPHICS_ALGORITHM, IMAGE__PICTOGRAM_ELEMENT, IMAGE__PROPERTIES, IMAGE__PROPORTIONAL, IMAGE__RENDERING_STYLE, IMAGE__STRETCH_H, IMAGE__STRETCH_V, IMAGE__STYLE, IMAGE__TRANSPARENCY, IMAGE__WIDTH, IMAGE__X, IMAGE__Y, IMAGE_FEATURE_COUNT, MULTI_TEXT, MULTI_TEXT__ANGLE, MULTI_TEXT__BACKGROUND, MULTI_TEXT__FILLED, MULTI_TEXT__FONT, MULTI_TEXT__FOREGROUND, MULTI_TEXT__GRAPHICS_ALGORITHM_CHILDREN, MULTI_TEXT__HEIGHT, MULTI_TEXT__HORIZONTAL_ALIGNMENT, MULTI_TEXT__LINE_STYLE, MULTI_TEXT__LINE_VISIBLE, MULTI_TEXT__LINE_WIDTH, MULTI_TEXT__PARENT_GRAPHICS_ALGORITHM, MULTI_TEXT__PICTOGRAM_ELEMENT, MULTI_TEXT__PROPERTIES, MULTI_TEXT__RENDERING_STYLE, MULTI_TEXT__ROTATION, MULTI_TEXT__STYLE, MULTI_TEXT__STYLE_REGIONS, MULTI_TEXT__TRANSPARENCY, MULTI_TEXT__VALUE, MULTI_TEXT__VERTICAL_ALIGNMENT, MULTI_TEXT__WIDTH, MULTI_TEXT__X, MULTI_TEXT__Y, MULTI_TEXT_FEATURE_COUNT, PLATFORM_GRAPHICS_ALGORITHM, PLATFORM_GRAPHICS_ALGORITHM__BACKGROUND, PLATFORM_GRAPHICS_ALGORITHM__FILLED, PLATFORM_GRAPHICS_ALGORITHM__FOREGROUND, PLATFORM_GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN, PLATFORM_GRAPHICS_ALGORITHM__HEIGHT, PLATFORM_GRAPHICS_ALGORITHM__ID, PLATFORM_GRAPHICS_ALGORITHM__LINE_STYLE, PLATFORM_GRAPHICS_ALGORITHM__LINE_VISIBLE, PLATFORM_GRAPHICS_ALGORITHM__LINE_WIDTH, PLATFORM_GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM, PLATFORM_GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT, PLATFORM_GRAPHICS_ALGORITHM__PROPERTIES, PLATFORM_GRAPHICS_ALGORITHM__RENDERING_STYLE, PLATFORM_GRAPHICS_ALGORITHM__STYLE, PLATFORM_GRAPHICS_ALGORITHM__TRANSPARENCY, PLATFORM_GRAPHICS_ALGORITHM__WIDTH, PLATFORM_GRAPHICS_ALGORITHM__X, PLATFORM_GRAPHICS_ALGORITHM__Y, PLATFORM_GRAPHICS_ALGORITHM_FEATURE_COUNT, POLYGON, POLYGON__BACKGROUND, POLYGON__FILLED, POLYGON__FOREGROUND, POLYGON__GRAPHICS_ALGORITHM_CHILDREN, POLYGON__HEIGHT, POLYGON__LINE_STYLE, POLYGON__LINE_VISIBLE, POLYGON__LINE_WIDTH, POLYGON__PARENT_GRAPHICS_ALGORITHM, POLYGON__PICTOGRAM_ELEMENT, POLYGON__POINTS, POLYGON__PROPERTIES, POLYGON__RENDERING_STYLE, POLYGON__STYLE, POLYGON__TRANSPARENCY, POLYGON__WIDTH, POLYGON__X, POLYGON__Y, POLYGON_FEATURE_COUNT, POLYLINE, POLYLINE__BACKGROUND, POLYLINE__FILLED, POLYLINE__FOREGROUND, POLYLINE__GRAPHICS_ALGORITHM_CHILDREN, POLYLINE__HEIGHT, POLYLINE__LINE_STYLE, POLYLINE__LINE_VISIBLE, POLYLINE__LINE_WIDTH, POLYLINE__PARENT_GRAPHICS_ALGORITHM, POLYLINE__PICTOGRAM_ELEMENT, POLYLINE__POINTS, POLYLINE__PROPERTIES, POLYLINE__RENDERING_STYLE, POLYLINE__STYLE, POLYLINE__TRANSPARENCY, POLYLINE__WIDTH, POLYLINE__X, POLYLINE__Y, POLYLINE_FEATURE_COUNT, RECTANGLE, RECTANGLE__BACKGROUND, RECTANGLE__FILLED, RECTANGLE__FOREGROUND, RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN, RECTANGLE__HEIGHT, RECTANGLE__LINE_STYLE, RECTANGLE__LINE_VISIBLE, RECTANGLE__LINE_WIDTH, RECTANGLE__PARENT_GRAPHICS_ALGORITHM, RECTANGLE__PICTOGRAM_ELEMENT, RECTANGLE__PROPERTIES, RECTANGLE__RENDERING_STYLE, RECTANGLE__STYLE, RECTANGLE__TRANSPARENCY, RECTANGLE__WIDTH, RECTANGLE__X, RECTANGLE__Y, RECTANGLE_FEATURE_COUNT, ROUNDED_RECTANGLE, ROUNDED_RECTANGLE__BACKGROUND, ROUNDED_RECTANGLE__CORNER_HEIGHT, ROUNDED_RECTANGLE__CORNER_WIDTH, ROUNDED_RECTANGLE__FILLED, ROUNDED_RECTANGLE__FOREGROUND, ROUNDED_RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN, ROUNDED_RECTANGLE__HEIGHT, ROUNDED_RECTANGLE__LINE_STYLE, ROUNDED_RECTANGLE__LINE_VISIBLE, ROUNDED_RECTANGLE__LINE_WIDTH, ROUNDED_RECTANGLE__PARENT_GRAPHICS_ALGORITHM, ROUNDED_RECTANGLE__PICTOGRAM_ELEMENT, ROUNDED_RECTANGLE__PROPERTIES, ROUNDED_RECTANGLE__RENDERING_STYLE, ROUNDED_RECTANGLE__STYLE, ROUNDED_RECTANGLE__TRANSPARENCY, ROUNDED_RECTANGLE__WIDTH, ROUNDED_RECTANGLE__X, ROUNDED_RECTANGLE__Y, ROUNDED_RECTANGLE_FEATURE_COUNT, TEXT, TEXT__ANGLE, TEXT__BACKGROUND, TEXT__FILLED, TEXT__FONT, TEXT__FOREGROUND, TEXT__GRAPHICS_ALGORITHM_CHILDREN, TEXT__HEIGHT, TEXT__HORIZONTAL_ALIGNMENT, TEXT__LINE_STYLE, TEXT__LINE_VISIBLE, TEXT__LINE_WIDTH, TEXT__PARENT_GRAPHICS_ALGORITHM, TEXT__PICTOGRAM_ELEMENT, TEXT__PROPERTIES, TEXT__RENDERING_STYLE, TEXT__ROTATION, TEXT__STYLE, TEXT__STYLE_REGIONS, TEXT__TRANSPARENCY, TEXT__VALUE, TEXT__VERTICAL_ALIGNMENT, TEXT__WIDTH, TEXT__X, TEXT__Y, TEXT_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getAbstractText_Angle()`
`org.eclipse.emf.ecore.EReference` `getAbstractText_Font()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractText_HorizontalAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractText_Rotation()`
`org.eclipse.emf.ecore.EReference` `getAbstractText_StyleRegions()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractText_Value()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractText_VerticalAlignment()`
`org.eclipse.emf.ecore.EClass` `getAbstractText()`
`AlgorithmsFactory` `getAlgorithmsFactory()`
`org.eclipse.emf.ecore.EClass` `getEllipse()`
`org.eclipse.emf.ecore.EReference` `getGraphicsAlgorithm_GraphicsAlgorithmChildren()`
`org.eclipse.emf.ecore.EAttribute` `getGraphicsAlgorithm_Height()`
`org.eclipse.emf.ecore.EReference` `getGraphicsAlgorithm_ParentGraphicsAlgorithm()`
`org.eclipse.emf.ecore.EReference` `getGraphicsAlgorithm_PictogramElement()`
`org.eclipse.emf.ecore.EReference` `getGraphicsAlgorithm_Style()`
`org.eclipse.emf.ecore.EAttribute` `getGraphicsAlgorithm_Width()`
`org.eclipse.emf.ecore.EAttribute` `getGraphicsAlgorithm_X()`
`org.eclipse.emf.ecore.EAttribute` `getGraphicsAlgorithm_Y()`
`org.eclipse.emf.ecore.EClass` `getGraphicsAlgorithm()`
`org.eclipse.emf.ecore.EAttribute` `getImage_Id()`
`org.eclipse.emf.ecore.EAttribute` `getImage_Proportional()`
`org.eclipse.emf.ecore.EAttribute` `getImage_StretchH()`
`org.eclipse.emf.ecore.EAttribute` `getImage_StretchV()`
`org.eclipse.emf.ecore.EClass` `getImage()`
`org.eclipse.emf.ecore.EClass` `getMultiText()`
`org.eclipse.emf.ecore.EAttribute` `getPlatformGraphicsAlgorithm_Id()`
`org.eclipse.emf.ecore.EClass` `getPlatformGraphicsAlgorithm()`
`org.eclipse.emf.ecore.EClass` `getPolygon()`
`org.eclipse.emf.ecore.EReference` `getPolyline_Points()`
`org.eclipse.emf.ecore.EClass` `getPolyline()`
`org.eclipse.emf.ecore.EClass` `getRectangle()`
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerHeight()`
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerWidth()`
`org.eclipse.emf.ecore.EClass` `getRoundedRectangle()`
`org.eclipse.emf.ecore.EClass` `getText()`
`static AlgorithmsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### init

    public static AlgorithmsPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `AlgorithmsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `AlgorithmsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getGraphicsAlgorithm

    public org.eclipse.emf.ecore.EClass getGraphicsAlgorithm()

Specified by:
  `getGraphicsAlgorithm` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Graphics Algorithm'.
See Also:
  `GraphicsAlgorithm`

#### getGraphicsAlgorithm_GraphicsAlgorithmChildren

    public org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_GraphicsAlgorithmChildren()

Specified by:
  `getGraphicsAlgorithm_GraphicsAlgorithmChildren` in interface `AlgorithmsPackage`
Returns:
  the meta object for the containment reference list 'Graphics Algorithm Children'.
See Also:
  `GraphicsAlgorithm.getGraphicsAlgorithmChildren()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_ParentGraphicsAlgorithm

    public org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_ParentGraphicsAlgorithm()

Specified by:
  `getGraphicsAlgorithm_ParentGraphicsAlgorithm` in interface `AlgorithmsPackage`
Returns:
  the meta object for the container reference 'Parent Graphics Algorithm'.
See Also:
  `GraphicsAlgorithm.getParentGraphicsAlgorithm()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_PictogramElement

    public org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_PictogramElement()

Specified by:
  `getGraphicsAlgorithm_PictogramElement` in interface `AlgorithmsPackage`
Returns:
  the meta object for the container reference 'Pictogram Element'.
See Also:
  `GraphicsAlgorithm.getPictogramElement()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_Width

    public org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Width()

Specified by:
  `getGraphicsAlgorithm_Width` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Width'.
See Also:
  `GraphicsAlgorithm.getWidth()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_Height

    public org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Height()

Specified by:
  `getGraphicsAlgorithm_Height` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Height'.
See Also:
  `GraphicsAlgorithm.getHeight()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_X

    public org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_X()

Specified by:
  `getGraphicsAlgorithm_X` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'X'.
See Also:
  `GraphicsAlgorithm.getX()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_Y

    public org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Y()

Specified by:
  `getGraphicsAlgorithm_Y` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Y'.
See Also:
  `GraphicsAlgorithm.getY()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getGraphicsAlgorithm_Style

    public org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_Style()

Specified by:
  `getGraphicsAlgorithm_Style` in interface `AlgorithmsPackage`
Returns:
  the meta object for the reference 'Style'.
See Also:
  `GraphicsAlgorithm.getStyle()`, `AlgorithmsPackage.getGraphicsAlgorithm()`

#### getPolyline

    public org.eclipse.emf.ecore.EClass getPolyline()

Specified by:
  `getPolyline` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Polyline'.
See Also:
  `Polyline`

#### getPolyline_Points

    public org.eclipse.emf.ecore.EReference getPolyline_Points()

Specified by:
  `getPolyline_Points` in interface `AlgorithmsPackage`
Returns:
  the meta object for the containment reference list 'Points'.
See Also:
  `Polyline.getPoints()`, `AlgorithmsPackage.getPolyline()`

#### getEllipse

    public org.eclipse.emf.ecore.EClass getEllipse()

Specified by:
  `getEllipse` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Ellipse'.
See Also:
  `Ellipse`

#### getText

    public org.eclipse.emf.ecore.EClass getText()

Specified by:
  `getText` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Text'.
See Also:
  `Text`

#### getPolygon

    public org.eclipse.emf.ecore.EClass getPolygon()

Specified by:
  `getPolygon` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Polygon'.
See Also:
  `Polygon`

#### getRectangle

    public org.eclipse.emf.ecore.EClass getRectangle()

Specified by:
  `getRectangle` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Rectangle'.
See Also:
  `Rectangle`

#### getRoundedRectangle

    public org.eclipse.emf.ecore.EClass getRoundedRectangle()

Specified by:
  `getRoundedRectangle` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Rounded Rectangle'.
See Also:
  `RoundedRectangle`

#### getRoundedRectangle_CornerHeight

    public org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerHeight()

Specified by:
  `getRoundedRectangle_CornerHeight` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Corner Height'.
See Also:
  `RoundedRectangle.getCornerHeight()`, `AlgorithmsPackage.getRoundedRectangle()`

#### getRoundedRectangle_CornerWidth

    public org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerWidth()

Specified by:
  `getRoundedRectangle_CornerWidth` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Corner Width'.
See Also:
  `RoundedRectangle.getCornerWidth()`, `AlgorithmsPackage.getRoundedRectangle()`

#### getImage

    public org.eclipse.emf.ecore.EClass getImage()

Specified by:
  `getImage` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Image'.
See Also:
  `Image`

#### getImage_Id

    public org.eclipse.emf.ecore.EAttribute getImage_Id()

Specified by:
  `getImage_Id` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  `Image.getId()`, `AlgorithmsPackage.getImage()`

#### getImage_StretchH

    public org.eclipse.emf.ecore.EAttribute getImage_StretchH()

Specified by:
  `getImage_StretchH` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Stretch H'.
See Also:
  `Image.getStretchH()`, `AlgorithmsPackage.getImage()`

#### getImage_StretchV

    public org.eclipse.emf.ecore.EAttribute getImage_StretchV()

Specified by:
  `getImage_StretchV` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Stretch V'.
See Also:
  `Image.getStretchV()`, `AlgorithmsPackage.getImage()`

#### getImage_Proportional

    public org.eclipse.emf.ecore.EAttribute getImage_Proportional()

Specified by:
  `getImage_Proportional` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Proportional'.
See Also:
  `Image.getProportional()`, `AlgorithmsPackage.getImage()`

#### getPlatformGraphicsAlgorithm

    public org.eclipse.emf.ecore.EClass getPlatformGraphicsAlgorithm()

Specified by:
  `getPlatformGraphicsAlgorithm` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Platform Graphics Algorithm'.
See Also:
  `PlatformGraphicsAlgorithm`

#### getPlatformGraphicsAlgorithm_Id

    public org.eclipse.emf.ecore.EAttribute getPlatformGraphicsAlgorithm_Id()

Specified by:
  `getPlatformGraphicsAlgorithm_Id` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  `PlatformGraphicsAlgorithm.getId()`, `AlgorithmsPackage.getPlatformGraphicsAlgorithm()`

#### getAbstractText

    public org.eclipse.emf.ecore.EClass getAbstractText()

Specified by:
  `getAbstractText` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Abstract Text'.
See Also:
  `AbstractText`

#### getAbstractText_Font

    public org.eclipse.emf.ecore.EReference getAbstractText_Font()

Specified by:
  `getAbstractText_Font` in interface `AlgorithmsPackage`
Returns:
  the meta object for the reference 'Font'.
See Also:
  `AbstractText.getFont()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_HorizontalAlignment

    public org.eclipse.emf.ecore.EAttribute getAbstractText_HorizontalAlignment()

Specified by:
  `getAbstractText_HorizontalAlignment` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  `AbstractText.getHorizontalAlignment()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_VerticalAlignment

    public org.eclipse.emf.ecore.EAttribute getAbstractText_VerticalAlignment()

Specified by:
  `getAbstractText_VerticalAlignment` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  `AbstractText.getVerticalAlignment()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_Angle

    public org.eclipse.emf.ecore.EAttribute getAbstractText_Angle()

Specified by:
  `getAbstractText_Angle` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Angle'.
See Also:
  `AbstractText.getAngle()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_Value

    public org.eclipse.emf.ecore.EAttribute getAbstractText_Value()

Specified by:
  `getAbstractText_Value` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  `AbstractText.getValue()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_StyleRegions

    public org.eclipse.emf.ecore.EReference getAbstractText_StyleRegions()

Specified by:
  `getAbstractText_StyleRegions` in interface `AlgorithmsPackage`
Returns:
  the meta object for the containment reference list 'Style Regions'.
See Also:
  `AbstractText.getStyleRegions()`, `AlgorithmsPackage.getAbstractText()`

#### getAbstractText_Rotation

    public org.eclipse.emf.ecore.EAttribute getAbstractText_Rotation()

Specified by:
  `getAbstractText_Rotation` in interface `AlgorithmsPackage`
Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  `AbstractText.getRotation()`, `AlgorithmsPackage.getAbstractText()`

#### getMultiText

    public org.eclipse.emf.ecore.EClass getMultiText()

Specified by:
  `getMultiText` in interface `AlgorithmsPackage`
Returns:
  the meta object for class 'Multi Text'.
See Also:
  `MultiText`

#### getAlgorithmsFactory

    public AlgorithmsFactory getAlgorithmsFactory()

Specified by:
  `getAlgorithmsFactory` in interface `AlgorithmsPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.